# Coverage exceptions

Exceptions coverage.py can raise.

exception coverage.exceptions.CoverageException(*args, slug=None)

  The base class of all exceptions raised by Coverage.py.

  Parameters:

    - args (Any)

    - slug (str | None)

  Return type:

    None

exception coverage.exceptions.ConfigError(*args, slug=None)

  A problem with a config file, or a value in one.

  Parameters:

    - args (Any)

    - slug (str | None)

  Return type:

    None

exception coverage.exceptions.DataError(*args, slug=None)

  An error in using a data file.

  Parameters:

    - args (Any)

    - slug (str | None)

  Return type:

    None

exception coverage.exceptions.NoDataError(*args, slug=None)

  We didn’t have data to work with.

  Parameters:

    - args (Any)

    - slug (str | None)

  Return type:

    None

exception coverage.exceptions.NoSource(*args, slug=None)

  We couldn’t find the source for a module.

  Parameters:

    - args (Any)

    - slug (str | None)

  Return type:

    None

exception coverage.exceptions.NoCode(*args, slug=None)

  We couldn’t find any code at all.

  Parameters:

    - args (Any)

    - slug (str | None)

  Return type:

    None

exception coverage.exceptions.NotPython(*args, slug=None)

  A source file turned out not to be parsable Python.

  Parameters:

    - args (Any)

    - slug (str | None)

  Return type:

    None

exception coverage.exceptions.PluginError(*args, slug=None)

  A plugin misbehaved.

  Parameters:

    - args (Any)

    - slug (str | None)

  Return type:

    None

exception coverage.exceptions.CoverageWarning

  A warning from Coverage.py.